Name:           solarspeed-libiconv
Version:        1.17
Release:        1
Packager:       Michael Stauber <mstauber@solarspeed.net>
Vendor:         Free Software Foundation, Inc. 
URL:            https://www.gnu.org/software/libiconv/
License:        GPL
Group:          System
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      x86_64
Distribution:   BlueOnyx 5211R
Source:         %{name}-%{version}-%{release}.tar.gz
Summary:        This library provides an iconv() implementation.

%description
This library provides an iconv() implementation, for use on systems 
which don't have one, or whose implementation cannot convert from/to 
Unicode.

%prep
%setup -q -n %{name}-%{version}-%{release}

%build
echo "Working on $RPM_BUILD_ROOT"

# Manually built via this and then packed up:
# ./configure --prefix=/home/solarspeed/libiconv/ --libdir=/home/solarspeed/libiconv/lib64
# make
# make install

%install
%{__rm} -rf %{buildroot}
# set up path structure
mkdir %{buildroot}/
mv * %{buildroot}/

%pre

%post

%preun

%postun

%clean
rm -R -f $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0755,root,root) /home/solarspeed/libiconv/bin/*
%attr(0644,root,root) /home/solarspeed/libiconv/include/*
%attr(0755,root,root) /home/solarspeed/libiconv/lib64/*
%attr(0644,root,root) /home/solarspeed/libiconv/share/*
%attr(0644,root,root) /etc/ld.so.conf.d/solarspeed-iconv.conf

%changelog

* Mon Nov 28 2022 Michael Stauber <mstauber@solarspeed.net>
- [1.17-1:] Initial build

